/* ==========================================================================
  HEADER
  ===========================================================================*/

.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: z(header);
  background-color: #fff;

  .container {
    display: flex;
    align-items: center;
  }
  
  .social-list {

    @include mq('tablet-small', 'max') {
      display: none;
    }
  }

  + .wrapper {
    padding-top: 149px;

    @include mq('tablet', 'max') {
      padding-top: 129px;
    }
  }
}

/* TOP */

.header__top {
  background-color: $color-gray-light;
}

.header__box {
  display: flex;
  align-items: center;
}

.header__box_left {
  margin-right: auto;
}

.header__box_right {
  margin-left: auto;
}

.header__location {
  margin-right: 10px;
  margin-left: -25px;
  padding: 16px 25px;

  @include mq('tablet', 'max') {
    margin-left: -5px;
    padding-left: 5px;
    padding-right: 5px;
  }

  &.header__location_active {
    background-color: $color-white;
  }
}

.header__button-dashboard {
  margin-left: 50px;
  margin-right: 12px;

  @include mq('tablet', 'max') {
    margin-left: 10px;
    margin-right: 0;
  }
}

.btn-dashboard {
  @extend %buttonNull;
  display: inline-flex;
  align-items: center;
  color: $color-black-light;
  font-family: $font-family-third;
  font-size: $font-size-primary-smaller;
  font-weight: $font-weight-regular;
  cursor: pointer;
  transition: .3s ease;

  &:hover {
    color: $color-primary-light;
    transition: .3s ease;
  }

  .icon {
    width: 26px;
    height: 26px
  }
}

.btn-dashboard__text {
  margin-right: 12px;
  @include mq('tablet-small', 'max') {
    display: none;
  }
}

/* SOCIAL LINKS */

.social-list {
  display: flex;

  .icon {
    width: 23px;
    height: 23px;

    @include mq('tablet', 'max') {
      width: 19px;
      height: 19px;
    }
  }
  
  a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 7px 10px;
    color: $color-black-light;
    transition: .3s ease;

    &:hover {
      color: $color-primary-light;
      transition: .3s ease;
    }


    @include mq('tablet', 'max') {
      padding: 7px;
    }
  }
}


/* BOTTOM */

.header__bottom {
  padding-top: 15px;
  padding-bottom: 15px;
}

/* LOGO */

.logo {
  display: inline-flex;
  flex-shrink: 0;
  margin-right: auto;
  width: 100px;
  height: 66px;

  @include mq('tablet', 'max') {
    width: 80px;
    height: 46px;
  }
}

.header__button-order {
  margin-left: 30px;

  @include mq('tablet', 'max') {
    margin-left: 15px;
  }

  @include mq('tablet-small', 'max') {
    display: none;
  }
}

/* PHONE */

.header__phone {
  display: flex;
  flex-direction: column;
  text-align: right;
  margin-left: 30px;
  color: $color-black-light;
  font-family: $font-family-third;
  font-weight: $font-weight-regular;
  text-decoration: none;

  &:hover {
    color: $color-black-light;
  }

  @include mq('tablet', 'max') {
    margin-left: 15px;
  }
}

.header__phone-numbers {
  font-size: 24px;
  @include mq('tablet', 'max') {
    font-size: 20px;
  }
  @include mq('tablet-small', 'max') {
    font-size: 16px;
  }
}

.header__phone-description {
  font-size: 10px;

  @include mq('tablet-small', 'max') {
    display: none;
  }
}

.header__button-burger {
  margin-left: 20px;
  
  @include mq('desktop') {
    display: none;
  }

  @include mq('tablet', 'max') {
    margin-left: 15px;
  }
}

/* HEADER PANEL */

.header-panel {
  display: none;
  position: absolute;
  top: 53px;
  z-index: 34;
  left: 0;
  right: 0;
  margin: auto;
  max-width: 1190px;
  background-color: #fff;
  max-height: calc(100vh - 60px);
  overflow: auto;
  
  &.header-panel_open {
    display: block;
  }
}

.header-panel__header {
  position: relative;
  display: flex;
  align-items: center;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 15px;
  padding-right: 15px;

  @include mq('laptop', 'max') {
    flex-direction: column;
    padding: 30px 70px;
  }

  @include mq('tablet', 'max') {
    padding-left: 30px;
    padding-right: 30px;
  }

  .form__group {
    width: calc(33.33% - 15px);
    margin-right: 15px;

    @include mq('laptop') {
      margin-top: 0;
    }

    @include mq('laptop', 'max') {
      width: 100%;
    }
  }
}

.header-panel__body {

  @include mq('laptop', 'max') {
    display: none;
  }
}

.panel-ovelay {
  position: absolute;
  top: 53px;
  left: 0;
  right: 0;
  height: calc(100vh - 53px);
  z-index: 34 - 2;
  background-color: rgba($color-black, .25);
  opacity: 0;
  pointer-events: none;
  transition: .3s ease;

  &.panel-ovelay_visible {
    opacity: 1;
    pointer-events: auto;
    transition: .3s ease;
  }
}

body {

  &.menu-open {

    @include mq('desktop', 'max') {
      overflow: hidden;
    }
  }

  &.panel-open {
    overflow: hidden;
  }
}
/* end header */
